> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# List all application links

GET https://api-sandbox.payabli.com/api/Query/boardinglinks/{orgId}

Return a list of boarding links for an organization. Use filters to limit results.

Reference: https://docs.payabli.com/developers/api-reference/boarding/get-list-of-boarding-links-for-organization

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi-oas
  version: 1.0.0
paths:
  /Query/boardinglinks/{orgId}:
    get:
      operationId: ListBoardingLinks
      summary: Get list of boarding links for organization
      description: >-
        Return a list of boarding links for an organization. Use filters to
        limit results.
      tags:
        - Boarding
      parameters:
        - name: orgId
          in: path
          description: The numeric identifier for organization, assigned by Payabli.
          required: true
          schema:
            type: integer
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            Max number of records to return for the query. Use `0` or negative
            value to return all records.
          required: false
          schema:
            type: integer
            default: 20
        - name: parameters
          in: query
          description: >-
            Collection of field names, conditions, and values used to filter the
            query


            See [Filters and Conditions
            Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference)
            for help.


            List of field names accepted:

            - `lastUpdated` (gt, ge, lt, le, eq, ne)

            - `templateName` (ct, nct)

            - `referenceName` (ct, nct)

            - `acceptRegister` (eq, ne)

            - `acceptAuth` (eq, ne)

            - `templateCode` (ct, nct)

            - `templateId` (eq, ne)

            - `orgParentname` (ct, nct)


            List of comparison accepted - enclosed between parentheses:

            - eq or empty => equal

            - gt => greater than

            - ge => greater or equal

            - lt => less than

            - le => less or equal

            - ne => not equal

            - ct => contains

            - nct => not contains

            - in => inside array

            - nin => not inside array


            List of parameters accepted:

            - limitRecord : max number of records for query (default="20", "0"
            or negative value for all)

            - fromRecord : initial record in query


            Example: templateName(ct)=hoa return all records with template title
            containing "hoa"
          required: false
          schema:
            type: object
            additionalProperties:
              type:
                - string
                - 'null'
        - name: sortBy
          in: query
          description: >-
            The field name to use for sorting results. Use `desc(field_name)` to
            sort descending by `field_name`, and use `asc(field_name)` to sort
            ascending by `field_name`.
          required: false
          schema:
            type: string
        - name: requestToken
          in: header
          description: >
            Long-lived API token sent in the `requestToken` header. See [API
            token authentication](/developers/api-tokens).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueryBoardingLinksResponse'
        '400':
          description: Bad request / invalid data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '503':
          description: Database connection error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
servers:
  - url: https://api-sandbox.payabli.com/api
    description: Sandbox
  - url: https://api.payabli.com/api
    description: Production
components:
  schemas:
    AcceptOauth:
      type: boolean
      title: AcceptOauth
    AcceptRegister:
      type: boolean
      title: AcceptRegister
    EntryAttributes:
      type: string
      title: EntryAttributes
    LastModified:
      type: string
      format: date-time
      description: Timestamp of when record was last updated, in UTC.
      title: LastModified
    OrgParentName:
      type: string
      description: The name of the parent organization.
      title: OrgParentName
    ReferenceName:
      type: string
      title: ReferenceName
    ReferenceTemplateId:
      type: integer
      format: int64
      title: ReferenceTemplateId
    TemplateCode:
      type: string
      description: The internal code for the template.
      title: TemplateCode
    TemplateName:
      type: string
      description: The template name.
      title: TemplateName
    QueryBoardingLinksResponseRecordsItem:
      type: object
      properties:
        AcceptOauth:
          $ref: '#/components/schemas/AcceptOauth'
        AcceptRegister:
          $ref: '#/components/schemas/AcceptRegister'
        EntryAttributes:
          $ref: '#/components/schemas/EntryAttributes'
        Id:
          type: integer
          description: The record ID.
        LastUpdated:
          $ref: '#/components/schemas/LastModified'
        OrgParentName:
          $ref: '#/components/schemas/OrgParentName'
        ReferenceName:
          $ref: '#/components/schemas/ReferenceName'
        ReferenceTemplateId:
          $ref: '#/components/schemas/ReferenceTemplateId'
        TemplateCode:
          $ref: '#/components/schemas/TemplateCode'
        TemplateName:
          $ref: '#/components/schemas/TemplateName'
      title: QueryBoardingLinksResponseRecordsItem
    PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    Pagesize:
      type: integer
      description: Number of records on each response page.
      title: Pagesize
    Totalrecords:
      type: integer
      description: Total number of records in response.
      title: Totalrecords
    QuerySummary:
      type: object
      properties:
        pageIdentifier:
          $ref: '#/components/schemas/PageIdentifier'
        pageSize:
          $ref: '#/components/schemas/Pagesize'
        totalAmount:
          type: number
          format: double
          description: Total amount for the records.
        totalNetAmount:
          type: number
          format: double
          description: Total net amount for the records.
        totalPages:
          $ref: '#/components/schemas/Totalrecords'
        totalRecords:
          $ref: '#/components/schemas/Totalrecords'
      title: QuerySummary
    QueryBoardingLinksResponse:
      type: object
      properties:
        Records:
          type: array
          items:
            $ref: '#/components/schemas/QueryBoardingLinksResponseRecordsItem'
        Summary:
          $ref: '#/components/schemas/QuerySummary'
      title: QueryBoardingLinksResponse
    PayabliErrorBodyResponseData:
      type: object
      properties:
        explanation:
          type: string
          description: Human-readable explanation of what happened.
        todoAction:
          type: string
          description: Suggested resolution.
      description: Object with detailed error context.
      title: PayabliErrorBodyResponseData
    PayabliErrorBody:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: Always `false` for error responses.
        responseCode:
          type: integer
          description: |
            Code for the response. Learn more in
            [API Response Codes](/developers/api-reference/api-responses).
        responseText:
          type: string
          description: Error text describing what went wrong.
        responseData:
          $ref: '#/components/schemas/PayabliErrorBodyResponseData'
          description: Object with detailed error context.
      required:
        - isSuccess
        - responseText
      description: |
        Shape returned by every Payabli API error response. The `responseData`
        object carries human-readable error context.
      title: PayabliErrorBody
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: requestToken
      description: >
        Long-lived API token sent in the `requestToken` header. See [API token
        authentication](/developers/api-tokens).
    BearerAuth:
      type: http
      scheme: bearer
      description: >
        OAuth2 Bearer access token from the client-credentials flow. See [OAuth
        authentication](/developers/oauth-authentication).

```

## Examples



**Response**

```json
{
  "Records": [
    {
      "AcceptOauth": false,
      "AcceptRegister": false,
      "EntryAttributes": "EntryAttributes",
      "Id": 1,
      "LastUpdated": "2022-07-01T15:00:01Z",
      "OrgParentName": "PropertyManager Pro",
      "ReferenceName": "payabli-00710",
      "ReferenceTemplateId": 1830,
      "TemplateCode": "TemplateCode",
      "TemplateName": "SMB"
    }
  ],
  "Summary": {
    "pageIdentifier": "null",
    "pageSize": 20,
    "totalAmount": 77.22,
    "totalNetAmount": 77.22,
    "totalPages": 2,
    "totalRecords": 2
  }
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.boarding.listBoardingLinks(123, {
        fromRecord: 251,
        limitRecord: 0,
        sortBy: "desc(field_name)",
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.boarding.list_boarding_links(
    org_id=123,
    from_record=251,
    limit_record=0,
    sort_by="desc(field_name)",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.boarding.requests.ListBoardingLinksRequest;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.boarding().listBoardingLinks(
            123,
            ListBoardingLinksRequest
                .builder()
                .fromRecord(251)
                .limitRecord(0)
                .sortBy("desc(field_name)")
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.boarding.list_boarding_links(
  org_id: 123,
  from_record: 251,
  limit_record: 0,
  sort_by: "desc(field_name)"
)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Boarding.ListBoardingLinksAsync(
            123,
            new ListBoardingLinksRequest {
                FromRecord = 251,
                LimitRecord = 0,
                SortBy = "desc(field_name)"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.ListBoardingLinksRequest{
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            0,
        ),
        SortBy: payabli.String(
            "desc(field_name)",
        ),
    }
    client.Boarding.ListBoardingLinks(
        context.TODO(),
        123,
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Boarding\Requests\ListBoardingLinksRequest;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->boarding->listBoardingLinks(
    123,
    new ListBoardingLinksRequest([
        'fromRecord' => 251,
        'limitRecord' => 0,
        'sortBy' => 'desc(field_name)',
    ]),
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Query/boardinglinks/123?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```